Bug 130565 - no keyboard after kernel boot
no keyboard after kernel boot
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-21 18:34 EDT by Dieter Ferdinand
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:07:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dieter Ferdinand 2004-08-21 18:34:26 EDT
Description of problem:
after booting the kernel (vmlinuz-2.6.5-1.358  vmlinuz-2.6.7-
1.494.2.2  vmlinuz-2.6.8-1.521) the keyboard is dead


Version-Release number of selected component (if applicable):
vmlinuz-2.6.5-1.358  vmlinuz-2.6.7-1.494.2.2  vmlinuz-2.6.8-1.521

How reproducible:
every boot


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
after the first installation, the keyboard works, but some times 
later it is dead.

when i boot a other distribution like knoppix with kernel 2.4, the 
keyboard works.

interrupts:
           CPU0       
  0:   24856376          XT-PIC  timer
  2:          0          XT-PIC  cascade
  5:     223233          XT-PIC  ide2, ide3
  8:          1          XT-PIC  rtc
 10:       4182          XT-PIC  uhci_hcd, ES1938
 12:     111214          XT-PIC  eth0
 15:        479          XT-PIC  ide1
NMI:          0 
ERR:          0
the interrupt 1 for keyboard is missing

ioports:
0000-001f : dma1
0020-0021 : pic1
0040-005f : timer
0060-006f : keyboard
0070-0077 : rtc
0080-008f : dma page reg
00a0-00a1 : pic2
00c0-00df : dma2
00f0-00ff : fpu
0170-0177 : ide1
02f8-02ff : serial
0376-0376 : ide1
0378-037a : parport0
03c0-03df : vga+
03f8-03ff : serial
0cf8-0cff : PCI conf1
a000-afff : PCI Bus #01
b000-b00f : 0000:00:07.1
  b000-b007 : ide0
  b008-b00f : ide1
b400-b41f : 0000:00:07.2
  b400-b41f : uhci_hcd
a000-afff : PCI Bus #01
b000-b00f : 0000:00:07.1
  b000-b007 : ide0
  b008-b00f : ide1
b400-b41f : 0000:00:07.2
  b400-b41f : uhci_hcd
b800-b8ff : 0000:00:09.0
  b800-b8ff : r8169
bc00-bc07 : 0000:00:0a.0
c000-c003 : 0000:00:0a.0
c400-c407 : 0000:00:0a.0
c800-c803 : 0000:00:0a.0
cc00-cc0f : 0000:00:0a.0
d000-d03f : 0000:00:0b.0
  d000-d007 : ESS Solo-1
d400-d40f : 0000:00:0b.0
  d400-d40f : ESS Solo-1 SB
d800-d80f : 0000:00:0b.0
  d800-d80f : ESS Solo-1 VC (DMA)
dc00-dc03 : 0000:00:0b.0
  dc00-dc03 : ESS Solo-1 MIDI
e000-e003 : 0000:00:0b.0
  e000-e003 : ESS Solo-1 GAME

device-info with lspci:
00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo 
PRO133x] (rev 44)
00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo 
MVP3/Pro133x AGP]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C596 ISA [Mobile 
South] (rev 12)
00:07.1 IDE interface: VIA Technologies, Inc. 
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 
Controller (rev 08)
00:07.3 Host bridge: VIA Technologies, Inc. VT82C596 Power Management 
(rev 20)
00:09.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 
Gigabit Ethernet (rev 10)
00:0a.0 RAID bus controller: Silicon Image, Inc. (formerly CMD 
Technology Inc) PCI0680 Ultra ATA-133 Host Controller (rev 01)
00:0b.0 Multimedia audio controller: ESS Technology ES1969 Solo-1 
Audiodrive (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation NV4 [RIVA TNT] 
(rev 04)
Comment 1 Arjan van de Ven 2004-08-22 02:04:30 EDT
is this a PS/2 or USB keyboard?
Comment 2 Dieter Ferdinand 2004-08-22 03:13:55 EDT
it is a ps/2 keyboard, a usb-keyboard doesn't use irq 1, it use an 
other irq!
Comment 3 Dave Jones 2005-04-16 02:07:18 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.